# Poco::MongoDB

# class PooledConnection

Library: MongoDB
Package: MongoDB
Header: Poco/MongoDB/PoolableConnectionFactory.h

## Description

Helper class for borrowing and returning a connection automatically from a pool.

## Constructors

### PooledConnection

PooledConnection(
Poco::ObjectPool < Connection, Connection::Ptr > & pool
);

## Destructor

### ~PooledConnection

virtual ~PooledConnection();